-- 成就达成
Lua_AchievementGetWindow = class("Lua_AchievementGetWindow", Lua_Window);
function Lua_AchievementGetWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_AchievementGetWindow";
	self.skinName = "AchievementGetWindow_skin";
	self.isModel = false;
	self.showClose = false;
end

function Lua_AchievementGetWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.bg:addClickFuntion(self, self.onBgClick);

	self.startTime = getTime();
	self:addTimer("Lua_AchievementGetWindow", 0.01, self, self.onEnterFrame);
end

function Lua_AchievementGetWindow:showWin(param)
    local vo = DataCenter.achieveData:getAchVo(param);
    self.tipsLab.text = vo.name;
end

function Lua_AchievementGetWindow:onEnterFrame()
	local pt = getTime() - self.startTime;
	if pt > 3 then
		self:hide();
	elseif pt > 2 then
		local a = (3 - pt) / 1;
		self.bg.alpha = a;
		self.tipsIcon.alpha = a;
		self.tipsLab.alpha = a;
	end
end

function Lua_AchievementGetWindow:onBgClick(go)
	Lua_WindowUtil.openWin("Lua_RoleMainWindow", nil, 3);
	self:hide();
end