Lua_AchievementParamWindow = class("Lua_AchievementParamWindow", Lua_Window);
function Lua_AchievementParamWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_AchievementParamWindow";
	self.skinName = "AchievementParamWindow_skin";
	self.showClose = false;
	self.isClickClose = true;
end

function Lua_AchievementParamWindow:showWin(param)
	local str;
	for i,v in ipairs(Lua_ThingDefine.params) do
		local val = getConfig({"achieve_level", param + 1, v});
		if val ~= nil and val ~= 0 then
			if str == nil then
				str = "";
			else
				str = str.."\n";
			end
			local s = "[85A8BE]" .. Lua_ThingDefine.getParamName(v) .. "：[-]" .. val;
			str = str..s;
		end
	end
	self.curTxt.text = str;

	local nextExp = getConfig({"achieve_level", param + 2, "need_exp"});
	if nextExp ~= nil then
		local nextLv = param + 2;
		local nextStr;
		local val;
		for i,v in ipairs(Lua_ThingDefine.params) do
			val = getConfig({"achieve_level", nextLv, v});
			if val ~= nil and val ~= 0 then
				if nextStr == nil then
					nextStr = "";
				else
					nextStr = nextStr.."\n";
				end
				local s = "[85A8BE]" .. Lua_ThingDefine.getParamName(v) .. "：[-][00E125]" .. val .. "[-]";
				nextStr = nextStr .. s;
			end
		end
		self.nextTxt.text = nextStr;
		self.nextTxt:setLocation(67, 77, 0);
	else
		self.nextTxt.text = LanUtil.getValue(110033);
		self.nextTxt:setLocation(67, 3, 0);
	end
end