-- 转职成功
Lua_ChageJobSuccessWindow = class("Lua_ChageJobSuccessWindow", Lua_Window);
function Lua_ChageJobSuccessWindow:ctor()	
	self:superCall("ctor", self.list);

	self.windowName = "Lua_ChageJobSuccessWindow";
	self.skinName = "ChageJobSuccessWindow_skin";
end

function Lua_ChageJobSuccessWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.model = Lua_MyPlayerModel.new(self.content, self.successTxt);
	self.model:setLocation(-270, -163, 150);

	local param = Lua_WindowUtil.getWinData(self.windowName, true);
	self.successTxt.text = param.title;
	self.bloodTxt.text = "+" .. param.blood;
	self.attackTxt.text = "+" .. param.attack;
	self.defenceTxt.text = "+" .. param.defence;
	self.skillTxt.text = param.skilltips;
	self.equTxt.text = param.adorn;

	if param.id == nil then
		self.sp3:setLocation(183, -112, 0);
		self.lb3:setLocation(-23, -112.5, 0);
		self.equTxt:setLocation(-25, -154, 0);
	else
		self.sp3:setLocation(183, -152, 0);
		self.lb3:setLocation(-23, -152.5, 0);
		self.equTxt:setLocation(-25, -194, 0);

		self.skillSp:setAltas("skillIcon_atlas_1", tostring(param.id));
	end
	self.tipskillTxt:setEnable(param.id == nil);
	self.skillSp:setEnable(param.id ~= nil);
	self.skillBG:setEnable(param.id ~= nil);
end

function Lua_ChageJobSuccessWindow:dispose()
	if self.model ~= nil then
		self.model:dispose();
		self.model = nil;
	end
	self:superCall("dispose");
end