checkRequire("Lua_ChangeJobDetailPanel"); -- 4转
checkRequire("Lua_FiveChangeJobTaskPanel"); -- 5转
checkRequire("Lua_ChangeJobPanel"); -- 1-3转
Lua_ChangeJobTaskPanel = class("Lua_ChangeJobTaskPanel", Lua_DisplayObject);
function Lua_ChangeJobTaskPanel:ctor(p)
	self:superCall("ctor", p);
end

function Lua_ChangeJobTaskPanel:buildShowItem()
	self:superCall("buildShowItem");

	self:addLuaEvent("EXTRACTION_UPDATE", self, self.extractionMsg);
	DataCenter.changeJobData:sExtractionMsg();
	DataCenter.changeJobData:scancelrodMsg(10087);
end

function Lua_ChangeJobTaskPanel:extractionMsg()
	local changeJobData = DataCenter.changeJobData
	if changeJobData.jobdata[1].objId == 401 then
		if self.changeJobPanel ~= nil then
			self.changeJobPanel:dispose();
			self.changeJobPanel = nil;
		end
		
		if self.changeJobDetailPanel == nil then
			self.changeJobDetailPanel = Lua_ChangeJobDetailPanel.new(self.content);
		end
		Lua_MsgUtil.callFunc("DETAIL_PANLE", {obj_value = changeJobData.jobdata[1].objValue, complete_task = changeJobData.completeTask});
	elseif changeJobData.jobdata[1].objId == 402 or changeJobData.jobdata[1].objId == 403 or changeJobData.jobdata[1].objId == 404 or 
		(changeJobData.jobdata[1].objId == 101 and changeJobData.profession == 4) or
		(changeJobData.jobdata[1].objId == 501 and changeJobData.profession == 4) then 
		if self.changeJobPanel ~= nil then
			self.changeJobPanel:dispose();
			self.changeJobPanel = nil;
		end
		if self.changeJobDetailPanel ~= nil then
			self.changeJobDetailPanel:dispose();
			self.changeJobDetailPanel= nil;
		end

		if self.fiveChangeJobTaskPanel == nil then
			self.fiveChangeJobTaskPanel = Lua_FiveChangeJobTaskPanel.new(self.content);
		end
	else
		if self.changeJobDetailPanel ~= nil then
			self.changeJobDetailPanel:dispose();
			self.changeJobDetailPanel= nil;
		end
		if self.fiveChangeJobTaskPanel ~= nil then
			self.fiveChangeJobTaskPanel:dispose();
			self.fiveChangeJobTaskPanel= nil;
		end
		
		if self.changeJobPanel == nil then
			self.changeJobPanel = Lua_ChangeJobPanel.new(self.content);
		end
	end
end

function Lua_ChangeJobTaskPanel:dispose()
	if self.changeJobPanel ~= nil then
		self.changeJobPanel:dispose();
		self.changeJobPanel = nil;
	end
	if self.changeJobDetailPanel ~= nil then
		self.changeJobDetailPanel:dispose();
		self.changeJobDetailPanel= nil;
	end
	if self.fiveChangeJobTaskPanel ~= nil then
		self.fiveChangeJobTaskPanel:dispose();
		self.fiveChangeJobTaskPanel= nil;
	end

	self:superCall("dispose");
end