Lua_FiveChangeJobTaskPanel = class("Lua_FiveChangeJobTaskPanel",Lua_DisplayObject);
function Lua_FiveChangeJobTaskPanel:ctor(p)
	self:superCall("ctor", p, "FiveChangePanle_skin");
end

function Lua_FiveChangeJobTaskPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.circleDic1 = {self.circle_1_1, self.circle_2_1, self.circle_3_1, self.circle_4_1, self.circle_5_1, self.circle_6_1, self.circle_7_1};
	self.circleDic2 = {self.circle_1_2, self.circle_2_2, self.circle_3_2, self.circle_4_2, self.circle_5_2, self.circle_6_2, self.circle_7_2};
	self.circleDic3 = {self.circle_1_3, self.circle_2_3, self.circle_3_3, self.circle_4_3, self.circle_5_3, self.circle_6_3, self.circle_7_3};

	self.lineDic1 = {self.line_1_1, self.line_2_1, self.line_3_1, self.line_4_1, self.line_5_1, self.line_6_1};
	self.lineDic2 = {self.line_1_2, self.line_2_2, self.line_3_2, self.line_4_2, self.line_5_2, self.line_6_2};
	self.lineDic3 = {self.line_1_3, self.line_2_3, self.line_3_3, self.line_4_3, self.line_5_3, self.line_6_3};

	self.longzhuSpDic = {self.longzhuSp1, self.longzhuSp2, self.longzhuSp3};

	-- 策划要求取消特效显示
	-- local eff;
	-- self.lightEffDic = {};
	-- for i, v in ipairs(self.circleDic1) do
	-- 	eff = UICreate.createUIEffect(self.content, "/effects/scsEffects/gui_zhuanzhi_ball_1", "gui_zhuanzhi_ball_1", 0, 0);
	-- 	eff:SetRenderQueue(self.longzhuSp3, 1, 2, false);
	-- 	eff:setEnable(false);
	-- 	self.lightEffDic[i] = eff;
	-- end
	-- self.lineEffDic = {};
	-- for i, v in ipairs(self.circleDic1) do
	-- 	eff = UICreate.createUIEffect(self.content, "/effects/scsEffects/gui_zhuanzhi_lianxian", "gui_zhuanzhi_lianxian", 0, 0);
	-- 	eff:SetRenderQueue(self.longzhuSp3, 3, 2, false);
	-- 	eff:setEnable(false);
	-- 	self.lineEffDic[i] = eff;
	-- end

	local posX = {-404, -242, -68};
	self.ball2Dci = {};
	for i = 1, 3 do
		self.ball2 = UICreate.createUIEffect(self.content, "/effects/scsEffects/gui_zhuanzhi_ball_2", "gui_zhuanzhi_ball_2", posX[i], -196);
		self.ball2:SetRenderQueue(self.longzhuSp3, 10, 8, false);
		self.ball2:setEnable(true);
		self.ball2Dci[i] = self.ball2;
	end

	self.notActive:setEnable(false);
	self.challengeBtn:setEnable(false);
	self.taskShowTxt.clickScale = false;
	self.challengeBtn:addClickFuntion(self, self.onChallengeBtn);
	self.skillIcon:addClickFuntion(self, self.onTipsClick);
	self.nextBtn:addClickFuntion(self, self.onNextBtn);
	self.help:addClickFuntion(self, self.onHelpClick);
	self.taskShowTxt:addUrlClickFuntion(self, self.onClickTxt);

	self:extractionMsg();
	self:addLuaEvent("EXTRACTION_UPDATE", self, self.extractionMsg);
	self:addLuaEvent("UPDATE_REDDOT_EVENT", self, self.updateFiveRedDot);
end

function Lua_FiveChangeJobTaskPanel:updateFiveRedDot()
	self.circleRedDot:setEnable(DataCenter.redDotData:getRedDotStateByEventId(11403) or DataCenter.redDotData:getRedDotStateByEventId(11404));
end

function Lua_FiveChangeJobTaskPanel:extractionMsg()
	DataCenter.changeJobData.stage = 1;
	local taskStep = DataCenter.changeJobData.taskStep;
	local schedule = taskStep + 1;
	self.left1Obj:SetActive(schedule == 1);
	self.left2Obj:SetActive(schedule == 3);
	self.left3Obj:SetActive(schedule == 5);

	self.bar:setPercent(0);
	local tipsDic1 = Lua_ChangeJobUtil.enemyTasktips(5, 1); 
	local tipsDic2 = Lua_ChangeJobUtil.bossTasktips(5, 2);
	local tipsDic3 = "";
	if taskStep >= 2  then
		DataCenter.changeJobData.stage = 2;
		self.bar:setPercent(162 / 336); -- {-404, -242, -68}
		tipsDic1 = Lua_ChangeJobUtil.enemyTasktips(5, 3);
		tipsDic2 = Lua_ChangeJobUtil.bossTasktips(5, 4);
	end

	if taskStep >= 4 then
		DataCenter.changeJobData.stage = 3;
		self.bar:setPercent(1);
		tipsDic1 = Lua_ChangeJobUtil.enemyTasktips(5, 5);
		tipsDic2 = Lua_ChangeJobUtil.bossTasktips(5, 6);
		tipsDic3 = Lua_ChangeJobUtil.lvlTasktips(5, 7);
	end

	local process = DataCenter.changeJobData.jobdata[1].objValue;
	if (schedule % 2) == 0 then
		self.notActive:setEnable(false);
		self.circleRedDot:setEnable(false);
		self.bossShowTxt:setEnable(true);
		self.challengeBtn:setEnable(not DataCenter.changeJobData.completeTask);
		self.taskShowTxt:setEnable(false);
		self.diBg:setEnable(true);
		self.bg:setUrl("/images/role/ui_figure_bg_14.png"); -- boss背景
		self:monster(true);
	else
		self.notActive:setEnable(process ~= 7);
		self.circleRedDot:setEnable(DataCenter.redDotData:getRedDotStateByEventId(11403) or DataCenter.redDotData:getRedDotStateByEventId(11404));
		self.bossShowTxt:setEnable(false);
		self.challengeBtn:setEnable(false);
		self.taskShowTxt:setEnable(process ~= 7);
		self.diBg:setEnable(schedule == 7);
		if schedule == 7 then
			self.bg:setUrl("/images/role/ui_figure_bg_15.png"); -- 转职阶段背景
		else
			self.bg:setUrl("/images/role/ui_figure_bg_13.png"); -- 转职背景
		end
		self:monster(false);
	end

	local stage = DataCenter.changeJobData.stage; -- 阶段
	local objTransForm;
	local taskvalue = 0;
	if taskStep == 6 then
		self:roleModel();
		self:monster(false);

		self.qianwangBtn:setEnable(true);
		if  DataCenter.changeJobData.completeTask then
			self.qianwangBtn.label = LanUtil.getValue(110919); -- 转职
			self.qianwangBtn:addClickFuntion(self, self.onChangeClick);
		else
			self.qianwangBtn.label = LanUtil.getValue(122546); -- 提升等级
			self.qianwangBtn:addClickFuntion(self, self.onQianWangClick);
		end
		self.notActive:setEnable(false)
		self.nextBtn:setEnable(false)
		self.taskShowTxt:setEnable(false);
	else
		if process == 7 then
			taskvalue = process;
		else
			taskvalue = process + 1;
	
			self["circleDic"..stage][taskvalue]:addClickFuntion(self, self.onSelectClick);
		end

		self.nextBtn:setEnable(DataCenter.changeJobData.completeTask);
		self.qianwangBtn:setEnable(false);
		if DataCenter.changeJobData.completeTask == true then
			self.circleRedDot:setEnable(false)
		end
		objTransForm = self["circleDic"..stage][taskvalue].mainContent.transform.localPosition;
		self.notActive:setLocation(objTransForm.x, objTransForm.y + 2, objTransForm.z);
		self.circleRedDot:setLocation(objTransForm.x + 20, objTransForm.y + 30, objTransForm.z);
	end

	local pos;
	local rot;
	local scale;
	-- local connectEffTran = Lua_ChangeJobUtil.connectEffTran();
	for i, v in ipairs(self.lineDic1) do
		if process >= i and (schedule % 2) ~= 0 and schedule ~= 7 then
			-- self["lineDic"..stage][i]:setAltas("role_atlas", "ui_figure_xian02"); -- 点亮
			self["lineDic"..stage][i]:setEnable(true);

			-- pos = connectEffTran[stage].xianpos[i];
			-- rot = connectEffTran[stage].xianros[i];
			-- scale = connectEffTran[stage].xianrsoc[i];
			-- self.lineEffDic[i]:setLocation(pos[1], pos[2], pos[3]); 
			-- self.lineEffDic[i]:setRot(rot[1], rot[2], rot[3]); 
			-- self.lineEffDic[i]:setSacle(scale[1], scale[2], scale[3]);
			-- self.lineEffDic[i]:setEnable(true);
		else
			-- self["lineDic"..stage][i]:setAltas("role_atlas", "ui_figure_xian01"); -- 未点亮
			self["lineDic"..stage][i]:setEnable(false);

			-- self.lineEffDic[i]:setEnable(false);
		end
	end

	for i,v in ipairs(self.circleDic1) do
		if process >= i and (schedule % 2) ~= 0 and schedule ~= 7 then
			objTransForm = self["circleDic"..stage][i].mainContent.transform.localPosition;
			-- self.lightEffDic[i]:setEnable(true);
			-- self.lightEffDic[i]:setLocation(objTransForm.x, objTransForm.y, objTransForm.z);

			self["circleDic"..stage][i]:setAltas("role_atlas", "ui_figure_xing3"); -- 点亮
			self["circleDic"..stage][i]:addClickFuntion(self, self.onSelectClick);
		else
			-- self.lightEffDic[i]:setEnable(false);

			self["circleDic"..stage][i]:setAltas("role_atlas", "ui_figure_xing1"); -- 未点亮
		end
		self["circleDic"..stage][i].name = i;
	end

	for i,v in ipairs(self.longzhuSpDic) do
		self.longzhuSpDic[i]:setGray(stage < i);
		self.ball2Dci[i]:setEnable(stage >= i);
	end

	self.skillid = Lua_ChangeJobUtil.getskillid(DataCenter.roleData.career,DataCenter.changeJobData.profession);
	if self.skillid ~= 0 then
		self.skillVo = Lua_SkillVo.new(self.skillid);
		self.skilldata = Lua_ChangeJobVo.new(self.skillid);
		self.skillIcon:setAltas(tostring(self.skilldata.atlas), tostring(self.skillVo.skillIcon));
	else
		self.skillIcon:setEnable(false)
	end

	if taskStep == 1 or taskStep == 3 or taskStep == 3 then
		self.nextBtn.label = LanUtil.getValue(110916);
	else
		self.nextBtn.label = LanUtil.getValue(110939);
	end
	self.redDot:setEnable(DataCenter.changeJobData.completeTask);

	local clientShow = Lua_ChangeJobUtil.clientShow();
	self.taskShowTxt.text = LanUtil.formateStr(LanUtil.getValue(110936), tostring(450), clientShow[stage]);
	self.oldJobTxt.text = Lua_ThingDefine.getJobName(DataCenter.roleData.career, 4);
	self.newJobTxt.text = Lua_ThingDefine.getJobName(DataCenter.roleData.career, 5);
	self.attrTxt.text = Lua_ChangeJobUtil.fiveProperty(4);
	self.wearTxt.text = Lua_ChangeJobUtil.getConfig()[5].adorn;

	local taskId = Lua_CommonUtil.transChineseNumber(Lua_ChangeJobUtil.stageInfoShow());
	self.desLab.text = LanUtil.formateStr(LanUtil.getValue(110940), tostring(taskId))..clientShow[stage];
	self.desTxt.text = tipsDic1.."\n"..tipsDic2.."\n"..tipsDic3;
end

function Lua_FiveChangeJobTaskPanel:roleModel()
	self.model = Lua_MyPlayerModel.new(self.content, self.redDot);
	self.model:setLocation(-236, -118, 150);
end

function Lua_FiveChangeJobTaskPanel:monster(val)
	local taskStep = val == false and 5 or DataCenter.changeJobData.taskStep;
	local bossID = Lua_ChangeJobUtil.bossID(5, taskStep);
	local bossModel = Lua_ChangeJobUtil.bossModel(5, taskStep);
	if self.modelEffect == nil then
		local imgPos = Vector2(-236, 65);
		local imgSize = Vector2(1175, 680);
		local modelRot = Vector3(0, 180, 0);
		local modelOffset = Vector2(236, -335);

		self.modelEffect = UIModelTexture();
		self.modelEffect:init(self.content, imgPos, imgSize, 5, modelRot, modelOffset, 160);
		self.modelEffect:setRotEnable(true, 0, 0, 300, 400, 2)
	end
	self.modelEffect:setModelOffset(bossModel.modelpos[1], bossModel.modelpos[2], bossModel.modelpos[3]);
	self.modelEffect:setModelAngle(bossModel.modelros[1], bossModel.modelros[2], bossModel.modelros[3]);
	self.modelEffect:setCamView(15);
	self.modelEffect.uiEffect:setSacle(bossModel.modelsca[1], bossModel.modelsca[2], bossModel.modelsca[3])
	self.modelEffect:setUrl("/model/"..bossID.jid, tostring(bossID.jid));
	self.modelEffect:setEffectActive(val);

	self.bossShowTxt.text = LanUtil.formateStr(LanUtil.getValue(110937), bossID.name);
end

function Lua_FiveChangeJobTaskPanel:onChangeClick()
	sendMsg(11403902);

	local blood = Lua_ChangeJobUtil.bloodpropConfig(5);
	local attack = Lua_ChangeJobUtil.attackpropConfig(5);
	local defence = Lua_ChangeJobUtil.defencepropConfig(5);
	local data = {};
	data.blood = blood;
	data.attack = attack;
	data.defence = defence;
	data.title = LanUtil.formateStr(LanUtil.getValue(110922), tostring(5), tostring(self.newJobTxt.text));
	data.skilltips = Lua_ChangeJobUtil.getskillcg(5);
	data.adorn = Lua_ChangeJobUtil.getadorncg(5);
	if self.skillid ~= 0 then
		data.id = self.skillVo.skillIcon;
	end
	Lua_WindowUtil.openWin("Lua_ChageJobSuccessWindow", WinParam.ACTION_OPEN, data)
end

function Lua_FiveChangeJobTaskPanel:onQianWangClick()
	Lua_WindowUtil.openWin("Lua_GamePlayWindow")
	Lua_WindowUtil.openWin("Lua_RoleMainWindow", WinParam.ACTION_CLOSE);
end

function Lua_FiveChangeJobTaskPanel:onSelectClick(go)
	Lua_WindowUtil.openWin("Lua_UseStuffWindow", nil, tonumber(go.name))	
end

function Lua_FiveChangeJobTaskPanel:onChallengeBtn()
	sendMsg(11403905);
	Lua_WindowUtil.openWin("Lua_RoleMainWindow", WinParam.ACTION_CLOSE);
end

function Lua_FiveChangeJobTaskPanel:onTipsClick()
	local data = {
		id = self.skillVo.skillIcon,
		name = self.skilldata.name,
		time = self.skilldata.time,
		limittype = self.skilldata.limittype,
		unseal = self.skilldata.unseal,
		atlas = self.skilldata.atlas,
		tips = self.skilldata.tips,
		nexttips = self.skilldata.nexttips
	};
	Lua_WindowUtil.openWin("Lua_SkillTipsWindow", WinParam.ACTION_OPEN, data);
end

function Lua_FiveChangeJobTaskPanel:onNextBtn()
	local cmd = ProtoPublic_pb.Proto11403904();
	cmd.pay_complete = false;
	sendMsg(11403904, cmd);
end

function Lua_FiveChangeJobTaskPanel:onHelpClick()
	Lua_WindowUtil.openWin("Lua_RuleTipWindow", nil, LanUtil.getValue(110944))
end

function Lua_FiveChangeJobTaskPanel:onClickTxt()
	DataCenter.changeJobData:onQianWangClick()
end

function Lua_FiveChangeJobTaskPanel:dispose()
	self.circleDic3 = {};
	-- self.lightEffDic = {};
	-- self.lineEffDic = {};
	self.ball2Dci = {};

	self:superCall("dispose");
end