checkRequire("Lua_FasionInsidePanel");
Lua_FasionChatPanel = class("Lua_FasionChatPanel", Lua_FasionInsidePanel);
function Lua_FasionChatPanel:ctor(p)
	self:superCall("ctor", p);
end

function Lua_FasionChatPanel:updateFashionModel()
	-- 托盘特效 暂时隐藏
	-- if self.tuoPanEffect ~= nil then
	-- 	self.tuoPanEffect.mainContent:SetActive(false);
	-- 	self.tuoPanEffect.mainContent:SetActive(true);
	-- else
	-- 	self.tuoPanEffect = UICreate.createUIEffect(self.content, "/effects/scsEffects/gui_tuopan","gui_tuopan", -30, -180);
	--     self.tuoPanEffect:SetRenderQueue(self.roleBg, 10, 2, false);
	-- end

	if self.effectFasion ~= nil then
		self.effectFasion:dispose();
		self.effectFasion = nil;			
	end

	-- 头像框 聊天气泡
	if self.effectFasion == nil then
		self.effectFasion = UICreate.createUIEffect(self.content, "/effects/scsEffects/"..self.selectedData.effectName, self.selectedData.effectName, 0, 0);
    	self.effectFasion:SetRenderQueue(self.roleBg, 10, 2, false);
    end	    
    self.startTime = getTime();
	self:onEffectEnterFasion();
	self:addTimer("effectFasion", 0.02, self, self.onEffectEnterFasion);
end

function Lua_FasionChatPanel:onEffectEnterFasion()
	if self.effectFasion ~= nil then
		local pt = (getTime() - self.startTime) * 1.5;
		self.effectFasion:setLocation(-30, 10 * math.sin(pt), 0);
	end
end

function Lua_FasionChatPanel:dispose()
	if self.tuoPanEffect ~= nil then
		self.tuoPanEffect:dispose();
		self.tuoPanEffect = nil;
	end
	if self.effectFasion ~= nil then
		self.effectFasion:dispose();
		self.effectFasion = nil;
	end

	self:superCall("dispose");
end