Lua_FasionItem = class("Lua_FasionItem", Lua_ListCell);
function Lua_FasionItem:ctor(p)
	self:superCall("ctor", p, "FasionItem_skin");
end

function Lua_FasionItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemImg = Lua_ToolImage.new(self.content);
	self.itemImg:setDepth(5);
	self.itemImg:setLocation(-84, 0, 0);
end

function Lua_FasionItem:onPlayerSoundClick(go)
	Lua_MsgUtil.callFunc("SKIN_CHILDCELL_CLICK", self.data);
end

function Lua_FasionItem:setData(data)
	self.data = data;
	if data == nil then
		return;
	end

	local maxLv = Lua_FashionUtil.getFasionMaxLevel(data.itemId);
	if data.itemId ~= nil then
		local tvo = Lua_ToolVo.new(data.itemId);
		self.itemImg.data = tvo;
		if data.active_type == 1 then -- 0：未激活，1：已激活，2：可以激活
			if data.level ~= 0 then
				self.fasionTxt.text = "[" .. tvo.colorStr .. "]" .. tvo.name .. "+" .. data.level.. "[-]";
				if data.shard_number >= tonumber(Lua_FashionUtil.getupgradeConfig(data.itemId, data.level)) and maxLv + 1 > data.level then
					self.redDot:setEnable(true);
				else
					self.redDot:setEnable(false);
				end
			else
				self.fasionTxt.text = tvo.colorName;
				self.redDot:setEnable(false);
			end
		else
			self.fasionTxt.text = "[79808c]" .. tvo.name .. "[-]";
			self.redDot:setEnable(false);
		end
		self.itemImg:setGray(data.active_type ~= 1);

		if data.select == true then
			self.bg:setAltas("common_atlas_1", "ui_common_widget_x1");
		else
			-- if data.active_type == 1 then
				self.bg:setAltas("common_atlas_1", "ui_common_widget_x2");
			-- else
			-- 	self.bg:setAltas("common_atlas_1", "ui_common_widget_x3");
			-- end
		end

		-- is_wear，1：该时装穿戴中
		if data.active_type ~= 2 and data.is_wear == 0 and data.select == true then
			self.tipsTxt.text = "試穿";
		elseif data.active_type == 2 then
			self.tipsTxt.text = "激活";
		elseif data.is_wear == 1 then
			self.tipsTxt.text = "已穿戴";
		end
		-- 选中，可激活，已穿戴
		self.tipsObj:SetActive(data.select == true or data.active_type == 2 or data.is_wear == 1);
	end
end