checkRequire("Lua_FasionInsidePanel");
Lua_FasionItemPanel = class("Lua_FasionItemPanel", Lua_FasionInsidePanel);
function Lua_FasionItemPanel:ctor(p)
	self:superCall("ctor", p);
end

function Lua_FasionItemPanel:dispose()
	self:superCall("dispose");

	if self.playerModel ~= nil then
		self.playerModel:dispose();
	end
end

function Lua_FasionItemPanel:updateFashionModel()
	local roleData = DataCenter.roleData;
	self.modelData = UsData();
	self.modelData.career = roleData.career;
	self.modelData.gender = 1;
	self.modelData.weapon_id = roleData.weapon_id;
	self.modelData.clothes_id = roleData.clothes_id;
	self.modelData.fashion_weapon_id = DataCenter.FashionData:getDefaultItemId(2);
	self.modelData.fashionHeadId = DataCenter.FashionData:getDefaultItemId(3);
	self.modelData.fashion_clothes_id = DataCenter.FashionData:getDefaultItemId(1);

	self.modelData.nickname = "";
	self.modelData.hp = 1;
	self.modelData.kind = 1;
	self.modelData.isShowName = false;
	self.modelData.IsUI = true;
	self:updateModel();
end

function Lua_FasionItemPanel:updateModel()
	if self.playerModel == nil then
		self.playerModel = ModelPlayer();
	end
	self.playerModel:init(self.content, Vector3(-36, -225, 200), Vector3(0, 90, 0), self.modelData, nil, 200);
	self.playerModel:setRotEnable(true, 0, 200, 900, 400, 2);
	self.playerModel:SetRenderQueue(self.roleBg, 10, 2);

	DataCenter.FashionData._id = nil;
end