checkRequire("Lua_RolePanel"); -- 角色
checkRequire("Lua_FasionPanel"); -- 装扮
checkRequire("Lua_AchievementPanel"); -- 成就
checkRequire("Lua_ChangeJobTaskPanel"); -- 转职
Lua_RoleMainWindow = class("Lua_RoleMainWindow", Lua_FullSizeTabWindow);
function Lua_RoleMainWindow:ctor()
	self.list = Array();
	self.list:add({name = LanUtil.getValue(110001), panel = Lua_RolePanel, titleAltas = "titleName_altas_1", titleSprite = "renwu", eventIds = {11101}, bgPath = "/images/common/ui_common_rolebg.jpg"});
	self.list:add({name = LanUtil.getValue(110003), panel = Lua_FasionPanel, titleAltas = "titleName_altas_1", titleSprite = "renwu", eventIds = {11501, 11502, 11503, 11504, 11505, 11506, 11507, 11508, 11509, 11510, 15006, 11511, 11512 }, bgPath = "/images/common/ui_common_rolebg.jpg", openId = 10012});
	self.list:add({name = LanUtil.getValue(110017), panel = Lua_AchievementPanel, titleAltas = "titleName_altas_1", titleSprite = "renwu", eventIds = {10014}, bgPath = "/images/common/ui_common_rolebg.jpg", openId = 10019});
	self.list:add({name = LanUtil.getValue(110004), panel = Lua_ChangeJobTaskPanel, titleAltas = "titleName_altas_1", titleSprite = "renwu", eventIds= {11400, 11401, 11402, 11403, 11404}, bgPath = "/images/common/ui_common_rolebg.jpg", openId = 10064});

	self:superCall("ctor", self.list);
	self.windowName = "Lua_RoleMainWindow";
end

function Lua_RoleMainWindow:showWin(param)
	self:superCall("showWin", param);
	
	if type(param) == "number" then
		self:setSelected(param, true);
	elseif type(param) == "table" and param.openIdx ~= nil then
		if param.openIdx == 2 then
			DataCenter.FashionData._id = param.data.id;
		end
		self:setSelected(param.openIdx, true);
	end
end

function Lua_RoleMainWindow:dispose()
	Lua_WindowUtil.openWin("Lua_PropertyDetailWindow", WinParam.ACTION_CLOSE, nil);
	Lua_WindowUtil.openWin("Lua_PropertyIllustrationWindow", WinParam.ACTION_CLOSE, nil);
	
	self:superCall("dispose");
end