checkRequire("Lua_SkillInformationPanel");
Lua_SkillWindow = class("Lua_SkillWindow", Lua_FullSizeTabWindow);
function Lua_SkillWindow:ctor()
	self.list = Array();
	self.list:add({name = LanUtil.getValue(110002), panel = Lua_SkillInformationPanel, titleAltas = "titleName_altas_1", titleSprite = "jineng"});
	
	self:superCall("ctor", self.list);
	self.windowName = "Lua_SkillWindow";
end

function Lua_SkillWindow:buildPanel(go)
	self:superCall("buildPanel", go);

	self:addLuaEvent("SKILL_UPDATE_DATA", self, self.upgradeRedDot);
end

function Lua_SkillWindow:upgradeRedDot(val)
	local suitList = DataCenter.skillData:getSkillSuitList(0);    
	if suitList == nil then
		return;
	end

	local len = suitList.careerSkills:getSize();
	local svo_data;
	local slv;
	local needSavvy;
	local arr = Array();
	for i = 1, len do
		svo_data = suitList.careerSkills[i]
		slv = 1;
		if svo_data:hasLearn() then
			slv = svo_data.skillLv + 1;
			needSavvy = svo_data:getSavvy(slv - 1);
			if needSavvy > 0 then
				if tonumber(DataCenter.moneyData:getMoney(Lua_MoneyData.SAVVY)) >= tonumber(needSavvy) then
					arr:add(1)
				else
					arr:add(0)
				end
			end
		end
	end

    len = suitList.passiveSkills:getSize();
    for i = 1, len do
        svo_data = suitList.passiveSkills[i]
        slv = 1;
        if svo_data:hasLearn() then
            slv = svo_data.skillLv + 1;
            needSavvy = svo_data:getSavvy(slv - 1);
            if needSavvy > 0 then
            	if tonumber(DataCenter.moneyData:getMoney(Lua_MoneyData.SAVVY)) >= tonumber(needSavvy) then
					arr:add(1)
				else
					arr:add(0)
				end
            end
        end
    end

    len = suitList.qiyuanSkills:getSize();
    for i = 1, len do
        svo_data = suitList.qiyuanSkills[i]
        slv = 1;
        if svo_data:hasLearn() then
            slv = svo_data.skillLv + 1;
            needSavvy = svo_data:getSavvy(slv - 1);
            if needSavvy > 0 then
            	if tonumber(DataCenter.moneyData:getMoney(Lua_MoneyData.SAVVY)) >= tonumber(needSavvy) then
					arr:add(1)
				else
					arr:add(0)
				end
            end
        end
    end

    local b = false
	for i = 1, arr:getSize() do
		if arr[i] == 1 then
			b = true
			break
		end
	end
	self:setRedDotStateByIndex(1, b);
end