Lua_FasionParamItem = class("Lua_FasionParamItem", Lua_DragContainerItem);
function Lua_FasionParamItem:ctor(p)
	self:superCall("ctor", p, "FasionParamItem_skin");
end

function Lua_FasionParamItem:setTransForm(posX, posY, posZ)
	self.attLabel:setLocation(posX, posY, posZ);
end

function Lua_FasionParamItem:setHeight(height)
	self.height = height;
end

function Lua_FasionParamItem:setData(paramStr, val, addVal, win)
	if win ~= nil then
		self.attLabel.text = Lua_ThingDefine.getParamName(paramStr).."：";
		self.attTxt.text = val;
	else
	    self.attLabel.text = Lua_ThingDefine.getParamName(paramStr).."：";
	    self.attTxt.text = val;
	end

	if addVal == 0 or addVal == nil or addVal == "0%" then
		self.Attobj:SetActive(false);
	else
		self.Attobj:SetActive(true);
		self.upTxt.text = addVal;
	end

	local posX = self.attLabel.mainContent.transform.localPosition.x + self.attLabel.width;
	local posY = self.attLabel.mainContent.transform.localPosition.y;
	local posZ = self.attLabel.mainContent.transform.localPosition.z;
	self.attTxt:setLocation(posX, posY, posZ);

	posX = self.attTxt.mainContent.transform.localPosition.x + self.attTxt.width + 17.5;
	posY = self.attTxt.mainContent.transform.localPosition.y;
	posZ = self.attTxt.mainContent.transform.localPosition.z;
	self.Attobj.transform.localPosition = Vector3(posX, posY, posZ);
	LuaUtil.setObjPos(self.Attobj, posX, posY, posZ);
end

function Lua_FasionParamItem:setWingData(paramStr, val, addVal)
	self.attLabel.text = Lua_ThingDefine.getParamName(paramStr).."：";
	self.attTxt.text = val;

	self.aattSp:setEnable(false);
	if addVal == 0 or addVal == nil then
		self.upTxt:setEnable(false);
	else
		self.upTxt:setEnable(true);
		self.upTxt.text = addVal;
	end

	local posX = self.attLabel.mainContent.transform.localPosition.x + self.attLabel.width;
	local posY = self.attTxt.mainContent.transform.localPosition.y;
	local posZ = self.attTxt.mainContent.transform.localPosition.z;
	self.attTxt:setLocation(posX, posY, posZ);

	posX = self.attTxt.mainContent.transform.localPosition.x + self.attTxt.width + 17.5;
	posY = self.Attobj.transform.localPosition.y;
	posZ = self.Attobj.transform.localPosition.z;
	self.Attobj.transform.localPosition = Vector3(posX, posY, posZ);
	LuaUtil.setObjPos(self.Attobj, posX, posY, posZ);
end

function Lua_FasionParamItem:setTxtFontSize(attLabFonSize, attTxtFontSize, upTxtFontSize)
	self.attLabel.fontSize = attLabFonSize == nil and 22 or attLabFonSize;
	self.attTxt.fontSize = attTxtFontSize == nil and 22 or attTxtFontSize;
	self.upTxt.fontSize = upTxtFontSize == nil and 22 or upTxtFontSize;
end

function Lua_FasionParamItem:getHeight()
	return self.height == nil and 34 or self.height;
end