checkRequire("Lua_JunXianUtil");
Lua_JunXianUpWindow = class("Lua_JunXianUpWindow", Lua_Window)
function Lua_JunXianUpWindow:ctor()
    self:superCall("ctor");

    self.windowName = "Lua_JunXianUpWindow";
    self.skinName = "JunXianUp_skin";
    self.layer = 3600;
    self.showClose = false;
end
function Lua_JunXianUpWindow:buildShowItem()
    self:superCall("buildShowItem");

    self.junXian_line2:setRot(0, 180, 0);

    self.btnBg:addClickFuntion(self, self.hide);

    self:onShowInfo()
end

function Lua_JunXianUpWindow:onShowInfo()
    local rd = DataCenter.junXianData;
    if rd.mili_rank_lvl == nil then
        return
    end
    self.hp.text = LanUtil.formateStr(LanUtil.getValue(110152), tostring(Lua_JunXianUtil.getHealth(rd.mili_rank_lvl - 1)));
    self.attack.text = LanUtil.formateStr(LanUtil.getValue(110153), tostring(Lua_JunXianUtil.getAttack(rd.mili_rank_lvl - 1)));
    self.defen.text = LanUtil.formateStr(LanUtil.getValue(110154), tostring(Lua_JunXianUtil.getDefence(rd.mili_rank_lvl - 1)));

    self.hp2.text = LanUtil.formateStr(LanUtil.getValue(110155), tostring(Lua_JunXianUtil.getHealth(rd.mili_rank_lvl)));
    self.attack2.text = LanUtil.formateStr(LanUtil.getValue(110156), tostring(Lua_JunXianUtil.getAttack(rd.mili_rank_lvl)));
    self.defen2.text = LanUtil.formateStr(LanUtil.getValue(110157), tostring(Lua_JunXianUtil.getDefence(rd.mili_rank_lvl)));

    self.desLbl.text = LanUtil.formateStr(LanUtil.getValue(110158), tostring(Lua_JunXianUtil.getJunxian(rd.mili_rank_lvl)));
end